From 8550757aa57bd7ebd2103d39e24f6e10bf787b5e Mon Sep 17 00:00:00 2001
From: Derek Chen-Becker <github@chen-becker.org>
Date: Sun, 12 Jan 2025 15:27:59 -0700
Subject: [PATCH 1/2] testing/README: Add details on use of TEST_NO_AUTOCLEAN

* testing/README: Add a section on the use of the TEST_NO_AUTOCLEAN make variable

While doing some testing I needed this functionality to debug a test and
found this variable was helpful. Add a section to the README so that others
may benefit without having to dig through makefiles.

TINYCHANGE
---
 testing/README | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/testing/README b/testing/README
index 1c4dd9e76..72a28d75c 100644
--- a/testing/README
+++ b/testing/README
@@ -86,6 +86,15 @@ Ran 2 tests, 2 results as expected (2017-12-28 15:04:45+0100)
 ...
 #+end_example
 
+** Keep test artifacts
+
+Set the ~TEST_NO_AUTOCLEAN~ variable to leave the test directory
+around for inspection.
+
+#+begin_src sh :dir (expand-file-name "..") :results silent
+make TEST_NO_AUTOCLEAN=1 test-dirty
+#+end_src
+
 * Interactive testing from within Emacs
 
 To run the Org mode test suite from a current Emacs instance simply
-- 
2.43.0

